import regex

begin_pattern = regex.compile(
            r'第[一二三四五六七八九十]+章\s*合同|[：:]清标报告|^第二卷',
            regex.MULTILINE
        )


# 测试示例
test_strings = [
    '投标人须知正文',          # 匹配
    '”投标人须知正文',         # 不匹配
    '”  投标人须知正文',       # 不匹配
    '与 投标人须知正文',         # 不匹配
    '见 投标人须知正文',         # 不匹配
    '“ 投标人须知正文',         # 不匹配
    '供应商须知正文',          # 匹配
    '谈判供应商须知正文'         # 匹配
]

for s in test_strings:
    if begin_pattern.search(s):
        print(f"匹配: {s}")
    else:
        print(f"不匹配: {s}")
